document.addEventListener("DOMContentLoaded", () => {
  createSnowfall();
  setTimeout(createSnowfall, 100);
  setTimeout(createSnowfall, 500);
  setTimeout(createSnowfall, 1000);
  setTimeout(createSnowfall, 1500);
  setTimeout(createSnowfall, 2000);
  setTimeout(createSnowfall, 2500);
  setTimeout(createSnowfall, 3000);
  setTimeout(createSnowfall, 3500);
});

function createSnowfall() {
  const snowfall = document.querySelector(".snowfall");
  const flakeCount = 50;

  for (let i = 0; i < flakeCount; i++) {
    createSnowflake(snowfall);
  }
}

function createSnowflake(container) {
  const flake = document.createElement("div");
  const size = Math.random() * 5 + 2;

  flake.style.cssText = `
    position: absolute;
    width: ${size}px;
    height: ${size}px;
    background: white;
    border-radius: 50%;
    pointer-events: none;
    animation: fall ${Math.random() * 5 + 5}s linear infinite;
    left: ${Math.random() * 100}vw;
    opacity: ${Math.random() * 0.7 + 0.3};
  `;

  container.appendChild(flake);

  flake.addEventListener("animationend", () => {
    flake.remove();
    createSnowflake(container);
  });
}

const styleSheet = document.styleSheets[0];
styleSheet.insertRule(
  `
  @keyframes fall {
    0% {
      transform: translateY(-5vh) rotate(0deg);
    }
    100% {
      transform: translateY(105vh) rotate(360deg);
    }
  }
`,
  styleSheet.cssRules.length,
);
